Package org.pushingpixels.lafwidget.utils

# Class DeltaQueue.Deltable

java.lang.Object
org.pushingpixels.lafwidget.utils.DeltaQueue.Deltable

Direct Known Subclasses:
  `TabPreviewThread.TabPreviewInfo`

Enclosing class:
  `DeltaQueue`

public abstract static class DeltaQueue.Deltable extends Object
Base class for entries in a `DeltaQueue`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`delta`
Delta in application specific units.

## Constructor Summary

Constructors
Constructor
Description
`Deltable()`
Creates a new delta.

## Method Summary

Modifier and Type
Method
Description
`void`
`decrementDelta(int diff)`
Decrements the delta value by the specified amount.
`int`
`getDelta()`
Returns the current delta in application specific units.
`void`
`incrementDelta(int diff)`
Increments the delta value by the specified amount.
`void`
`setDelta(int delta)`
Sets the new value of delta in application specific units.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### delta

protected int delta
Delta in application specific units.

## Constructor Details

### Deltable

public Deltable()
Creates a new delta.

## Method Details

### getDelta

public int getDelta()
Returns the current delta in application specific units.

Returns:
  The current delta in application specific units.

### setDelta

public void setDelta(int delta)
Sets the new value of delta in application specific units.

Parameters:
  `delta` - New value of delta in application specific units.

### incrementDelta

public void incrementDelta(int diff)
Increments the delta value by the specified amount.

Parameters:
  `diff` - Amount for incrementing the delta value.

### decrementDelta

public void decrementDelta(int diff)
Decrements the delta value by the specified amount.

Parameters:
  `diff` - Amount for decrementing the delta value.